Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1279974 - Improve or replace netstat example
Summary: Improve or replace netstat example
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Security_Guide
Version: 7.3
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Mirek Jahoda
QA Contact: ecs-bugs
URL:
Whiteboard:
Depends On: 1063913 1063927 1063934
Blocks: 1275695 1425467
TreeView+ depends on / blocked
 
Reported: 2015-11-10 15:48 UTC by Robert Krátký
Modified: 2019-03-06 01:00 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-24 15:51:23 UTC


Attachments (Terms of Use)

Description Robert Krátký 2015-11-10 15:48:21 UTC
4.4.2
Output listing spans more than a single page is difficult to read. Suggest editing the output to only relevant lines that illustrate the concept. A better example may be to pass the LISTEN directive to netstat by passing the -l option:  For example:  netstat -tlnw.  Additionally, the ss utility (part of iproute) may be a better tool overall for this task.

Comment 3 Mirek Jahoda 2016-05-10 15:46:18 UTC
Hello, can you please check the chapter 4.4.2 [1] - I am not sure if three (short) examples are the best way to go. I have already checked some connected bugzillas and it seems we are still waiting for the functionality in the ss utility (SCTP) or kernel to be precise. There is a plenty of commented code in XML and I am (again) not sure if this is right. Thank you.
[1] http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Security_Guide%20%28html-single%29/lastStableBuild/artifact/tmp/en-US/html-single/index.html#sec-Verifying_Which_Ports_Are_Listening

Comment 4 Robert Krátký 2016-05-13 18:15:19 UTC
Thanks Mirek. The suggested changes are OK. I fixed some minor language mistakes that were already there and improved the formatting of the command outputs.

This bug needs to stay open because the functionality has not been ported to RHEL yet. When the problems of the utilities are resolved, the section will need to be reviewed again (and the commented content will be used).

I suggest you add yourself to BZ#1063913, so that you can keep track of the development.

Comment 5 Mirek Jahoda 2017-04-27 09:41:49 UTC
I've reworked the whole Which Ports Are Listening section [1]. I'm going to leave the SCTP ports scanning separated at least for some time (to emphasize that this functionality is now properly working). It seems like the netstat utility is not deprecated (and it's installed by default) even in RHEL 7.4 (I've tried it in the Alpha compose) and therefore I think it would be better to mention both (netstat and ss).

[1] http://jenkinscat.gsslab.pnq.redhat.com:8080/job/doc-Red_Hat_Enterprise_Linux-7-Security_Guide%20(html-single)/lastStableBuild/artifact/tmp/en-US/html-single/index.html#sec-Verifying_Which_Ports_Are_Listening

[2] https://gitlab.cee.redhat.com/red-hat-enterprise-linux-documentation/doc-Red_Hat_Enterprise_Linux-7-Security_Guide/commit/40a88cbfc9d562ace36413aac4de62ee7a9350f7

Comment 6 Hubert Kario 2017-05-09 18:51:57 UTC
Looks good to me. r+


Note You need to log in before you can comment on or make changes to this bug.